Skip to main content
GET
/
v0
/
any-input
/
withdrawals
Get ANY_INPUT withdrawals
curl --request GET \
  --url https://1click.chaindefuser.com/v0/any-input/withdrawals \
  --header 'Authorization: Bearer <token>'
{
  "asset": "nep141:sol-5ce3bf3a31af18be40ba30f721101b4341690186.omft.near",
  "recipient": "0x2527d02599ba641c19fea793cd0f167589a0f10d",
  "affiliateRecipient": "0x2527d02599ba641c19fea793cd0f167589a0f10d",
  "withdrawals": {
    "status": "SUCCESS",
    "amountOutFormatted": "9.95",
    "amountOutUsd": "9.95",
    "amountOut": "9950000",
    "withdrawFeeFormatted": "0.01",
    "withdrawFee": "10000",
    "withdrawFeeUsd": "0.01",
    "timestamp": "2019-08-24T14:15:22Z",
    "hash": "0x123abc456def789"
  }
}

Authorizations

Authorization
string
header
required

Enter JWT token (optional)

Query Parameters

depositAddress
string
required
depositMemo
string
timestampFrom
string

Filter withdrawals from this timestamp (ISO string)

page
number

Page number for pagination (default: 1)

limit
number

Number of withdrawals per page (max: 50, default: 50)

sortOrder
enum<string>

Sort order

Available options:
asc,
desc

Response

asset
string
required

ID of the destination asset.

Example:

"nep141:sol-5ce3bf3a31af18be40ba30f721101b4341690186.omft.near"

recipient
string
required

Recipient address

Example:

"0x2527d02599ba641c19fea793cd0f167589a0f10d"

affiliateRecipient
string
required

Affiliate recipient address

Example:

"0x2527d02599ba641c19fea793cd0f167589a0f10d"

withdrawals
object

Details of withdrawals